Hey there,

I'm looking to upgrade my Sprint cell phone, plus buy a PDA, and I know I won't carry two separate devices so the Treo sounds like a good idea. Just curious - the OS on the treo is 3.something, which is kind of a strange version. Is it completely compatible with apps written for other versions of the Palm OS? Obviously some stuff written for newer versions might not work, but I'm curious about the stuff written for 3.0 and earlier.

Maybe a dumb question, but for the record, I searched for this question and found nothing. So no flaming! ;-)

Thanks!
Joe